Class | Tk::Vu::Pie
In: | tk/lib/tkextlib/vu/pie.rb
Parent: | TkWindow

### Methods

__destroy_hook__ create delete explode explode_value lower names order raise set set_value set_values slice_value slices sum_value swap tagid value

### Included Modules

Tk::Vu::PieSliceConfigMethod

### Constants

TkCommandNames | = | ['::vu::pie'.freeze].freeze
WidgetClassName | = | 'Pie'.freeze

### Public Instance methods

__destroy_hook__()

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 42
      def __destroy_hook__
        Tk::Vu::PieSlice::SliceID_TBL.delete(@path)
      end

create(slice, *args)

Alias for set

delete(*glob_pats)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 61
      def delete(*glob_pats)
        tk_call(@path, 'delete', *glob_pats)
        self
      end

explode(slice, *args)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 66
      def explode(slice, *args)
        tk_call(@path, 'explode', slice, *args)
        self
      end

explode_value(slice)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 71
      def explode_value(slice)
        num_or_str(tk_call(@path, 'explode', slice))
      end

lower(slice, below=None)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 75
      def lower(slice, below=None)
        tk_call(@path, 'lower', slice, below)
        self
      end

names(*glob_pats)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 80
      def names(*glob_pats)
        simplelist(tk_call(@path, 'names', *glob_pats))
      end

order(*args)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 85
      def order(*args)
        tk_call(@path, 'order', *args)
        self
      end

raise(slice, above=None)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 90
      def raise(slice, above=None)
        tk_call(@path, 'raise', slice, above)
        self
      end

set(slice, *args)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 100
      def set(slice, *args)
        num_or_str(tk_call(@path, 'set', slice, *args))
      end

set_value(slice, *args)

Alias for set

set_values(slice, *args)

Alias for set

slice_value(slice)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 107
      def slice_value(slice)
        num_or_str(tk_call(@path, 'set', slice))
      end

slices(*glob_pats)

Alias for names

sum_value(val = None)

Alias for value

swap(slice1, slice2)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 95
      def swap(slice1, slice2)
        tk_call(@path, 'swap', slice1, slice2)
        self
      end

tagid(tag)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 50
      def tagid(tag)
        if tag.kind_of?(Tk::Vu::PieSlice)
          tag.id
        else
          # tag
          _get_eval_string(tag)
        end
      end

value(val = None)

[Source]

    # File tk/lib/tkextlib/vu/pie.rb, line 111
      def value(val = None)
        num_or_str(tk_call_without_enc(@path, 'value'))
      end

[Validate]